1 # Makefile.in generated by automake 1.11 from Makefile.am.
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
18 pkgdatadir
= $(datadir)/@PACKAGE@
19 pkgincludedir
= $(includedir)/@PACKAGE@
20 pkglibdir
= $(libdir)/@PACKAGE@
21 pkglibexecdir
= $(libexecdir
)/@PACKAGE@
22 am__cd
= CDPATH
="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23 install_sh_DATA
= $(install_sh
) -c
-m
644
24 install_sh_PROGRAM
= $(install_sh
) -c
25 install_sh_SCRIPT
= $(install_sh
) -c
26 INSTALL_HEADER
= $(INSTALL_DATA
)
27 transform
= $(program_transform_name
)
34 build_triplet
= @build@
35 DIST_COMMON
= README
$(srcdir)/Makefile.am
$(srcdir)/Makefile.in \
36 $(srcdir)/aclocal.in
$(srcdir)/automake.in
$(srcdir)/defs.in \
37 $(srcdir)/parallel-tests.am
39 ACLOCAL_M4
= $(top_srcdir
)/aclocal.m4
40 am__aclocal_m4_deps
= $(top_srcdir
)/m4
/amversion.m4 \
41 $(top_srcdir
)/m4
/auxdir.m4
$(top_srcdir
)/m4
/init.m4 \
42 $(top_srcdir
)/m4
/install-sh.m4
$(top_srcdir
)/m4
/lead-dot.m4 \
43 $(top_srcdir
)/m4
/missing.m4
$(top_srcdir
)/m4
/mkdirp.m4 \
44 $(top_srcdir
)/m4
/options.m4
$(top_srcdir
)/m4
/runlog.m4 \
45 $(top_srcdir
)/m4
/sanity.m4
$(top_srcdir
)/m4
/strip.m4 \
46 $(top_srcdir
)/m4
/substnot.m4
$(top_srcdir
)/m4
/tar.m4 \
47 $(top_srcdir
)/configure.ac
48 am__configure_deps
= $(am__aclocal_m4_deps
) $(CONFIGURE_DEPENDENCIES
) \
50 mkinstalldirs
= $(SHELL
) $(top_srcdir
)/lib
/mkinstalldirs
51 CONFIG_CLEAN_FILES
= defs aclocal-
${APIVERSION} automake-
${APIVERSION}
52 CONFIG_CLEAN_VPATH_FILES
=
55 # If stdout is a non-dumb tty, use colors. If test -t is not supported,
56 # then this fails; a conservative approach. Of course do not redirect
57 # stdout here, just stderr.
59 red
=; grn
=; lgn
=; blu
=; std
=; \
60 test "X$(AM_COLOR_TESTS)" != Xno \
61 && test "X$$TERM" != Xdumb \
62 && { test "X$(AM_COLOR_TESTS)" = Xalways ||
test -t
1 2>/dev
/null
; } \
70 am__vpath_adj_setup
= srcdirstrip
=`echo "$(srcdir)" | sed 's|.|.|g'`;
71 am__vpath_adj
= case
$$p in \
72 $(srcdir)/*) f
=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
75 am__strip_dir
= f
=`echo $$p | sed -e 's|^.*/||'`;
77 am__nobase_strip_setup
= \
78 srcdirstrip
=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
80 for p in
$$list; do echo
"$$p"; done | sed
-e
"s|$$srcdirstrip/||"
81 am__nobase_list
= $(am__nobase_strip_setup
); \
82 for p in
$$list; do echo
"$$p $$p"; done | \
83 sed
"s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
84 $(AWK
) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
85 if (++n[$$2] == $(am__install_max)) \
86 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
87 END { for (dir in files) print dir, files[dir] }'
89 sed
'$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
90 sed
'$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
91 # Restructured Text title and section.
92 am__rst_title
= sed
's/.*/ & /;h;s/./=/g;p;x;p;g;p;s/.*//'
93 am__rst_section
= sed
'p;s/./=/g;p;g'
94 # Put stdin (possibly several lines separated by ". ") in a box.
95 am__text_box
= $(AWK
) '{ \
96 n = split($$0, lines, "\\. "); max = 0; \
97 for (i = 1; i <= n; ++i) \
98 if (max < length(lines[i])) \
99 max = length(lines[i]); \
100 for (i = 0; i < max; ++i) line = line "="; \
102 for (i = 1; i <= n; ++i) if (lines[i]) print lines[i];\
105 # Solaris 10 'make', and several other traditional 'make' implementations,
106 # pass "-e" to $(SHELL). This contradicts POSIX. Work around the problem
107 # by disabling -e (using the XSI extension "set +e") if it's set.
108 am__sh_e_setup
= case
$$- in
*e
*) set
+e
;; esac
109 # To be inserted before the command running the test. Creates the
110 # directory for the log if needed. Stores in $dir the directory
111 # containing $f, in $tst the test, in $log the log, and passes
112 # TESTS_ENVIRONMENT. Save and restore TERM around use of
113 # TESTS_ENVIRONMENT, in case that unsets it.
116 $(am__vpath_adj_setup
) $(am__vpath_adj
) \
117 srcdir=$(srcdir); export srcdir; \
119 trap
'st=$$?; rm -f '\''$(abs_builddir)/$@-t'\''; (exit $$st); exit $$st' \
121 am__odir
=`echo "./$@" | sed 's|/[^/]*$$||'`; \
122 test "x$$am__odir" = x. ||
$(MKDIR_P
) "$$am__odir" || exit
$$?
; \
123 if
test -f
"./$$f"; then
dir=.
/; \
124 elif
test -f
"$$f"; then
dir=; \
125 else dir="$(srcdir)/"; fi
; \
126 tst
=$$dir$$f; log
='$@'; __SAVED_TERM
=$$TERM; \
128 RECHECK_LOGS
= $(TEST_LOGS
)
129 AM_RECURSIVE_TARGETS
= check check-html recheck recheck-html
130 TEST_SUITE_LOG
= test-suite.log
131 TEST_SUITE_HTML
= $(TEST_SUITE_LOG
:.log
=.html
)
132 TEST_EXTENSIONS
= .
test
133 am__test_logs1
= $(TESTS
:=.log
)
134 TEST_LOGS
= $(am__test_logs1
:.
test.log
=.log
)
135 TEST_LOG_COMPILE
= $(TEST_LOG_COMPILER
) $(AM_TEST_LOG_FLAGS
) \
137 TEST_LOGS_TMP
= $(TEST_LOGS
:.log
=.log-t
)
138 DISTFILES
= $(DIST_COMMON
) $(DIST_SOURCES
) $(TEXINFOS
) $(EXTRA_DIST
)
141 APIVERSION
= @APIVERSION@
142 AUTOCONF
= @AUTOCONF@
143 AUTOHEADER
= @AUTOHEADER@
144 AUTOMAKE
= @AUTOMAKE@
146 CYGPATH_W
= @CYGPATH_W@
154 HELP2MAN
= @HELP2MAN@
156 INSTALL_DATA
= @INSTALL_DATA@
157 INSTALL_PROGRAM
= @INSTALL_PROGRAM@
158 INSTALL_SCRIPT
= @INSTALL_SCRIPT@
159 INSTALL_STRIP_PROGRAM
= @INSTALL_STRIP_PROGRAM@
163 LTLIBOBJS
= @LTLIBOBJS@
164 MAKEINFO
= @MAKEINFO@
166 MODIFICATION_DELAY
= @MODIFICATION_DELAY@
168 PACKAGE_BUGREPORT
= @PACKAGE_BUGREPORT@
169 PACKAGE_NAME
= @PACKAGE_NAME@
170 PACKAGE_STRING
= @PACKAGE_STRING@
171 PACKAGE_TARNAME
= @PACKAGE_TARNAME@
172 PACKAGE_URL
= @PACKAGE_URL@
173 PACKAGE_VERSION
= @PACKAGE_VERSION@
174 PATH_SEPARATOR
= @PATH_SEPARATOR@
176 PERL_THREADS
= @PERL_THREADS@
177 SET_MAKE
= @SET_MAKE@
182 abs_builddir
= @abs_builddir@
183 abs_srcdir
= @abs_srcdir@
184 abs_top_builddir
= @abs_top_builddir@
185 abs_top_srcdir
= @abs_top_srcdir@
186 am_AUTOCONF
= @am_AUTOCONF@
187 am_AUTOHEADER
= @am_AUTOHEADER@
188 am__leading_dot
= @am__leading_dot@
190 am__untar
= @am__untar@
193 build_alias
= @build_alias@
194 build_cpu
= @build_cpu@
195 build_os
= @build_os@
196 build_vendor
= @build_vendor@
197 builddir
= @builddir@
199 datarootdir
= @datarootdir@
202 exec_prefix = @
exec_prefix@
203 host_alias
= @host_alias@
205 includedir = @
includedir@
207 install_sh
= @install_sh@
209 libexecdir
= @libexecdir@
210 localedir
= @localedir@
211 localstatedir
= @localstatedir@
214 oldincludedir = @
oldincludedir@
216 pkgvdatadir
= @pkgvdatadir@
218 program_transform_name
= @program_transform_name@
221 sh_errexit_works
= @sh_errexit_works@
222 sharedstatedir
= @sharedstatedir@
224 sysconfdir
= @sysconfdir@
225 target_alias
= @target_alias@
226 top_build_prefix
= @top_build_prefix@
227 top_builddir
= @top_builddir@
228 top_srcdir
= @top_srcdir@
258 MAINTAINERCLEANFILES
= $(parallel_tests
)
378 compile_f90_c_cxx.
test \
379 compile_f_c_cxx.
test \
488 distcleancheck.
test \
578 instdir-python.
test \
584 instfail-libtool.
test \
590 instmany-python.
test \
694 nobase-libtool.
test \
735 parallel-tests.
test \
736 parallel-tests2.
test \
737 parallel-tests3.
test \
738 parallel-tests4.
test \
739 parallel-tests5.
test \
740 parallel-tests6.
test \
741 parallel-tests7.
test \
742 parallel-tests8.
test \
743 parallel-tests9.
test \
744 parallel-tests10.
test \
855 subdirbuiltsources.
test \
977 EXTRA_DIST
= ChangeLog-old gen-parallel-tests
$(TESTS
)
979 # Each test case depends on defs, aclocal, and automake.
980 check_SCRIPTS
= defs defs-p aclocal-
$(APIVERSION
) automake-
$(APIVERSION
)
984 .SUFFIXES
: .html .log .
test
985 $(srcdir)/Makefile.in
: $(srcdir)/Makefile.am
$(srcdir)/parallel-tests.am
$(am__configure_deps
)
987 case
'$(am__configure_deps)' in \
989 ( cd
$(top_builddir
) && $(MAKE
) $(AM_MAKEFLAGS
) am--refresh
) \
990 && { if
test -f
$@
; then exit
0; else break
; fi
; }; \
994 echo
' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
995 $(am__cd
) $(top_srcdir
) && \
996 $(AUTOMAKE
) --gnu tests
/Makefile
998 Makefile
: $(srcdir)/Makefile.in
$(top_builddir
)/config.status
1001 cd
$(top_builddir
) && $(MAKE
) $(AM_MAKEFLAGS
) am--refresh
;; \
1003 echo
' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
1004 cd
$(top_builddir
) && $(SHELL
) .
/config.status
$(subdir
)/$@
$(am__depfiles_maybe
);; \
1007 $(top_builddir
)/config.status
: $(top_srcdir
)/configure
$(CONFIG_STATUS_DEPENDENCIES
)
1008 cd
$(top_builddir
) && $(MAKE
) $(AM_MAKEFLAGS
) am--refresh
1010 $(top_srcdir
)/configure
: $(am__configure_deps
)
1011 cd
$(top_builddir
) && $(MAKE
) $(AM_MAKEFLAGS
) am--refresh
1012 $(ACLOCAL_M4
): $(am__aclocal_m4_deps
)
1013 cd
$(top_builddir
) && $(MAKE
) $(AM_MAKEFLAGS
) am--refresh
1014 $(am__aclocal_m4_deps
):
1015 defs
: $(top_builddir
)/config.status
$(srcdir)/defs.in
1016 cd
$(top_builddir
) && $(SHELL
) .
/config.status
$(subdir
)/$@
1017 aclocal-
${APIVERSION}: $(top_builddir
)/config.status
$(srcdir)/aclocal.in
1018 cd
$(top_builddir
) && $(SHELL
) .
/config.status
$(subdir
)/$@
1019 automake-
${APIVERSION}: $(top_builddir
)/config.status
$(srcdir)/automake.in
1020 cd
$(top_builddir
) && $(SHELL
) .
/config.status
$(subdir
)/$@
1028 # To be appended to the command running the test. Handle the stdout
1029 # and stderr redirection, and catch the exit status.
1033 if
test -n
'$(DISABLE_HARD_ERRORS)' \
1034 && test $$estatus -eq
99; then \
1037 TERM
=$$__SAVED_TERM; export TERM
; \
1038 $(am__tty_colors
); \
1040 case
" $(XFAIL_TESTS) " in \
1041 *[\ \
]$$f[\ \
]* |
*[\ \
]$$dir$$f[\ \
]*) \
1044 case
$$estatus:$$xfailed in \
1045 0:XFAIL
) col
=$$red; res
=XPASS
;; \
1046 0:*) col
=$$grn; res
=PASS
;; \
1047 77:*) col
=$$blu; res
=SKIP
;; \
1048 99:*) col
=$$red; res
=FAIL
;; \
1049 *:XFAIL
) col
=$$lgn; res
=XFAIL
;; \
1050 *:*) col
=$$red; res
=FAIL
;; \
1052 echo
"$${col}$$res$${std}: $$f"; \
1053 echo
"$$res: $$f (exit: $$estatus)" | \
1054 $(am__rst_section
) >$@
; \
1058 $(TEST_SUITE_LOG
): $(TEST_LOGS
)
1059 @
$(am__sh_e_setup
); \
1060 list
='$(TEST_LOGS)'; \
1061 results
=`for f in $$list; do \
1062 read line < $$f && echo "$$line" || echo FAIL; \
1064 all=`echo "$$results" | sed '/^$$/d' | wc -l | sed -e 's/^[ ]*//'`; \
1065 fail
=`echo "$$results" | grep -c '^FAIL'`; \
1066 pass
=`echo "$$results" | grep -c '^PASS'`; \
1067 skip
=`echo "$$results" | grep -c '^SKIP'`; \
1068 xfail
=`echo "$$results" | grep -c '^XFAIL'`; \
1069 xpass
=`echo "$$results" | grep -c '^XPASS'`; \
1070 failures
=`expr $$fail + $$xpass`; \
1071 all=`expr $$all - $$skip`; \
1072 if
test "$$all" -eq
1; then tests
=test; All
=; \
1073 else tests
=tests
; All
="All "; fi
; \
1074 case fail
=$$fail:xpass
=$$xpass:xfail
=$$xfail in \
1075 fail
=0:xpass
=0:xfail
=0) \
1076 msg
="$$All$$all $$tests passed. "; \
1078 fail
=0:xpass
=0:xfail
=*) \
1079 msg
="$$All$$all $$tests behaved as expected"; \
1080 if
test "$$xfail" -eq
1; then xfailures
=failure
; \
1081 else xfailures
=failures
; fi
; \
1082 msg
="$$msg ($$xfail expected $$xfailures). "; \
1084 fail
=*:xpass
=0:xfail
=*) \
1085 msg
="$$fail of $$all $$tests failed. "; \
1087 fail
=*:xpass
=*:xfail
=*) \
1088 msg
="$$failures of $$all $$tests did not behave as expected"; \
1089 if
test "$$xpass" -eq
1; then xpasses
=pass
; \
1090 else xpasses
=passes
; fi
; \
1091 msg
="$$msg ($$xpass unexpected $$xpasses). "; \
1094 echo
>&2 "incorrect case"; exit
4;; \
1096 if
test "$$skip" -ne
0; then \
1097 if
test "$$skip" -eq
1; then \
1098 msg
="$$msg($$skip test was not run). "; \
1100 msg
="$$msg($$skip tests were not run). "; \
1104 echo
"$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1108 echo
".. contents:: :depth: 2"; \
1110 for f in
$$list; do \
1114 *) echo
; cat
$$f;; \
1117 } >$(TEST_SUITE_LOG
).tmp
; \
1118 mv
$(TEST_SUITE_LOG
).tmp
$(TEST_SUITE_LOG
); \
1119 if
test "$$failures" -ne
0; then \
1120 msg
="$${msg}See $(subdir)/$(TEST_SUITE_LOG). "; \
1121 if
test -n
"$(PACKAGE_BUGREPORT)"; then \
1122 msg
="$${msg}Please report to $(PACKAGE_BUGREPORT). "; \
1125 test x
"$$VERBOSE" = x ||
$$exit || cat
$(TEST_SUITE_LOG
); \
1126 $(am__tty_colors
); \
1128 echo
$(ECHO_N
) "$$grn$(ECHO_C)"; \
1130 echo
$(ECHO_N
) "$$red$(ECHO_C)"; \
1132 echo
"$$msg" |
$(am__text_box
); \
1133 echo
$(ECHO_N
) "$$std$(ECHO_C)"; \
1136 # Run all the tests.
1138 @list
='$(RECHECK_LOGS)'; test -z
"$$list" ||
rm -f
$$list
1139 @
test -z
"$(TEST_SUITE_LOG)" ||
rm -f
$(TEST_SUITE_LOG
)
1140 @list
='$(TEST_LOGS)'; \
1141 list
=`for f in $$list; do \
1142 test .log = $$f || echo $$f; \
1143 done | tr '\012\015' ' '`; \
1144 $(MAKE
) $(AM_MAKEFLAGS
) $(TEST_SUITE_LOG
) TEST_LOGS
="$$list"
1147 @list
='$(RST2HTML) $$RST2HTML rst2html rst2html.py'; \
1148 for r2h in
$$list; do \
1149 if
($$r2h --version
) >/dev
/null
2>&1; then \
1153 if
test -z
"$$R2H"; then \
1154 echo
>&2 "cannot find rst2html, cannot create $@"; \
1160 # Be sure to run check first, and then to convert the result.
1161 # Beware of concurrent executions. Run "check" not "check-TESTS", as
1162 # check-SCRIPTS and other dependencies are rebuilt by the former only.
1163 # And expect check to fail.
1165 @if
$(MAKE
) $(AM_MAKEFLAGS
) check; then \
1166 rv
=0; else rv
=$$?
; \
1168 $(MAKE
) $(AM_MAKEFLAGS
) $(TEST_SUITE_HTML
) || exit
4; \
1170 recheck recheck-html
:
1171 @target
=`echo $@ | sed 's,^re,,'`; \
1172 list
='$(TEST_LOGS)'; \
1173 list
=`for f in $$list; do \
1174 test -f $$f || continue; \
1175 if read line < $$f; then \
1176 case $$line in FAIL*|XPASS*) echo $$f;; esac; \
1177 else echo $$f; fi; \
1178 done | tr '\012\015' ' '`; \
1179 $(MAKE
) $(AM_MAKEFLAGS
) $$target AM_MAKEFLAGS
='$(AM_MAKEFLAGS) TEST_LOGS="'"$$list"'"'
1181 @p
='$<'; $(am__check_pre
) $(TEST_LOG_COMPILE
) "$$tst" $(am__check_post
)
1183 distdir
: $(DISTFILES
)
1184 @srcdirstrip
=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1185 topsrcdirstrip
=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1186 list
='$(DISTFILES)'; \
1187 dist_files
=`for file in $$list; do echo $$file; done | \
1188 sed -e "s|^$$srcdirstrip/||;t" \
1189 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1190 case
$$dist_files in \
1191 */*) $(MKDIR_P
) `echo "$$dist_files" | \
1192 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1195 for file in
$$dist_files; do \
1196 if
test -f
$$file ||
test -d
$$file; then d
=.
; else d
=$(srcdir); fi
; \
1197 if
test -d
$$d/$$file; then \
1198 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1199 if
test -d
"$(distdir)/$$file"; then \
1200 find
"$(distdir)/$$file" -type d
! -perm
-700 -exec chmod u
+rwx
{} \
;; \
1202 if
test -d
$(srcdir)/$$file && test $$d != $(srcdir); then \
1203 cp
-fpR
$(srcdir)/$$file "$(distdir)$$dir" || exit
1; \
1204 find
"$(distdir)/$$file" -type d
! -perm
-700 -exec chmod u
+rwx
{} \
;; \
1206 cp
-fpR
$$d/$$file "$(distdir)$$dir" || exit
1; \
1208 test -f
"$(distdir)/$$file" \
1209 || cp
-p
$$d/$$file "$(distdir)/$$file" \
1214 $(MAKE
) $(AM_MAKEFLAGS
) $(check_SCRIPTS
)
1215 $(MAKE
) $(AM_MAKEFLAGS
) check-TESTS
1220 install-exec
: install-exec-am
1221 install-data
: install-data-am
1222 uninstall: uninstall-am
1225 @
$(MAKE
) $(AM_MAKEFLAGS
) install-exec-am install-data-am
1227 installcheck: installcheck-am
1229 $(MAKE
) $(AM_MAKEFLAGS
) INSTALL_PROGRAM
="$(INSTALL_STRIP_PROGRAM)" \
1230 install_sh_PROGRAM
="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG
=-s \
1231 `test -z '$(STRIP)' || \
1232 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1233 mostlyclean-generic
:
1234 -test -z
"$(TEST_LOGS)" ||
rm -f
$(TEST_LOGS
)
1235 -test -z
"$(TEST_LOGS_TMP)" ||
rm -f
$(TEST_LOGS_TMP
)
1236 -test -z
"$(TEST_SUITE_HTML)" ||
rm -f
$(TEST_SUITE_HTML
)
1237 -test -z
"$(TEST_SUITE_LOG)" ||
rm -f
$(TEST_SUITE_LOG
)
1242 -test -z
"$(CONFIG_CLEAN_FILES)" ||
rm -f
$(CONFIG_CLEAN_FILES
)
1243 -test .
= "$(srcdir)" ||
test -z
"$(CONFIG_CLEAN_VPATH_FILES)" ||
rm -f
$(CONFIG_CLEAN_VPATH_FILES
)
1245 maintainer-clean-generic
:
1246 @echo
"This command is intended for maintainers to use"
1247 @echo
"it deletes files that may require special tools to rebuild."
1248 -test -z
"$(MAINTAINERCLEANFILES)" ||
rm -f
$(MAINTAINERCLEANFILES
)
1251 clean-am
: clean-generic clean-local mostlyclean-am
1253 distclean: distclean-am
1255 distclean-am
: clean-am distclean-generic
1271 install-dvi
: install-dvi-am
1277 install-html
: install-html-am
1281 install-info
: install-info-am
1287 install-pdf
: install-pdf-am
1291 install-ps
: install-ps-am
1297 maintainer-clean
: maintainer-clean-am
1299 maintainer-clean-am
: distclean-am maintainer-clean-generic
1301 mostlyclean: mostlyclean-am
1303 mostlyclean-am
: mostlyclean-generic
1315 .MAKE
: check-am check-html install-am install-strip recheck \
1318 .PHONY
: all all-am
check check-TESTS check-am check-html
clean \
1319 clean-generic clean-local
distclean distclean-generic distdir \
1320 dvi dvi-am html html-am
info info-am
install install-am \
1321 install-data install-data-am install-dvi install-dvi-am \
1322 install-exec install-exec-am install-html install-html-am \
1323 install-info install-info-am install-man install-pdf \
1324 install-pdf-am install-ps install-ps-am install-strip \
1325 installcheck installcheck-am
installdirs maintainer-clean \
1326 maintainer-clean-generic
mostlyclean mostlyclean-generic pdf \
1327 pdf-am ps ps-am recheck recheck-html
uninstall uninstall-am
1330 $(srcdir)/parallel-tests.am
: gen-parallel-tests Makefile.am
1331 (cd
$(srcdir) && $(SHELL
) .
/gen-parallel-tests
) >$@
1333 $(parallel_tests
): $(parallel_tests
:-p.
test=.
test) Makefile.am
1334 input
=`echo $@ | sed 's,.*/,,; s,-p.test$$,.test,'`; \
1335 sed
's,^\. \./defs,. ./defs-p,' < $(srcdir)/$$input > $@
1338 defs-p
: defs Makefile.am
1339 sed
's,^AM_INIT_AUTOMAKE$$,&([parallel-tests]),' < defs
>$@
1341 clean-local
: clean-local-check
1342 .PHONY
: clean-local-check
1344 -set x
*.
dir; shift
; \
1345 if
test "$$#,$$1" = "1,*.dir"; then \
1346 : there is no
test directory to
clean; \
1348 find
"$$@" -type d
'!' -perm
-200 -exec chmod u
+w
{} ';'; \
1353 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1354 # Otherwise a system limit (for SysV at least) may be exceeded.